Skip to main content
GET
/
contacts
List contacts
curl --request GET \
  --url https://productlane.com/api/v1/contacts \
  --header 'Authorization: Bearer <token>'
{
  "contacts": [
    {
      "id": "<string>",
      "email": "<string>",
      "name": "<string>",
      "imageUrl": "<string>",
      "companyId": "<string>",
      "workspaceId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "isDeleted": true,
      "version": 123,
      "company": {
        "id": "<string>",
        "name": "<string>",
        "workspaceId": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "isDeleted": true,
        "version": 123,
        "linearCustomerId": "<string>",
        "size": 123,
        "revenue": 123,
        "statusId": "<string>",
        "statusName": "<string>",
        "statusColor": "<string>",
        "tierId": "<string>",
        "tierName": "<string>",
        "logoUrl": "<string>",
        "domains": [
          "<string>"
        ],
        "autoAdd": true,
        "intercomId": "<string>",
        "hubspotId": "<string>",
        "productboardId": "<string>",
        "externalIds": [
          "<string>"
        ],
        "slugId": "<string>"
      },
      "intercomId": "<string>",
      "hubspotId": "<string>",
      "productboardId": "<string>",
      "zendeskId": "<string>"
    }
  ],
  "nextPage": {
    "take": 123,
    "skip": 123
  },
  "hasMore": true,
  "count": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

skip
integer
take
integer
Required range: x <= 100
email
string
companyId
string

Response

Successful response

contacts
object[]
required
nextPage
object
required
hasMore
boolean
required
count
number
required